<template>
  <div class="numbers-game">

    <h1>Number game</h1>

    <div class="numbers-game__form-group">
      Dear {{ game.user }} your fifth number in the sequence is:
    </div>

    <div v-if="!game.guess" class="numbers-game__form-group">
      <label>Name</label>
      <input type="text" name="name" v-model="game.user">
    </div>

    <div class="numbers-game__form-group">
      <label>Numbers</label>
      <input type="number" readonly disabled="disabled" v-model="game.number1">
      <input type="number" readonly disabled="disabled" v-model="game.number2">
      <input type="number" readonly disabled="disabled" v-model="game.number3">
      <input type="number" readonly disabled="disabled" v-model="game.number4">

      <input v-if="game.guess"
             type="number"
             v-model="game.guess"
             disabled="disabled"
             class="numbers-game__result"
             readonly>
    </div>
    <div class="numbers-game__form-group">
      <button type="submit" @click="playAgain">Play again</button>
    </div>
  </div>
</template>

<script>
import {mapState} from 'vuex';

export default {
  name: 'Present',
  computed: mapState({
    game: state => state.game,
  }),
  methods: {
    playAgain() {
      this.$router.push({name: 'game'});
    },
  },
  mounted() {
    if (this.game.id === null) {
      this.playAgain();
    }
  },
};
</script>

<style lang="scss">
@import "styles/numbers-game";
</style>
